
Figure - Bug #117914
【IOVDEV-27821】-【IOV测试】内部】【0095】【台架】【EE环境】【副屏】【第三方应用】今日头条-视
频-热门栏的视频无法播放
2023-05-13 15:50 - CDTS_TEST 王成

Status: CLOSED Start date: 2023-05-12

Priority: Normal Due date:

Assignee: CDTS_TEST 王成 % Done: 0%

Category: 依赖客户及其供应商解决 Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 01.00.0095.C103

Resolution: -- Degrated: --

Severity: Normal Verified Version:

Reproducibility: Every time Fixed Version:

Test Type: ST Root cause:

Description

前提条件】：

1、网络正常

2、副屏上电

【操作步骤】

1、打开今日头条-视频-热门

2、点击任意一条视频

【实际结果】

1、视频无法播放

2、在最小化之后就可以正常播放，此时返回正常小窗仍然可以正常播放

3、其他第三方应用也有类似的情况 

【期待结果】

1、视频可以播放

【备注】：

无HD版本，手机版测试

中控屏版本：03.02.0078.C101

副屏版本：01.00.0095.C103

今日头条版本：9.3.0

History

#1 - 2023-05-13 15:56 - CDTS_TEST 王成

日志：ftp://cdiot@192.168.87.46/Pre_figure/Test_Log/Bug%20_117914/tlog_sts40x190111_000447_0512171924.tar.gz

#2 - 2023-05-15 17:45 - CDTS_TEST 王成

- Description updated

#3 - 2023-05-15 19:58 - CD FW 曹覃刚

- Category changed from CD-FW to 依赖客户及其供应商解决

- Status changed from New to NEED_INFO

- Assignee changed from CD FW 曹覃刚 to CDTS_TEST 王成

Hi 王成

我们对比了小窗时和全屏时,该动作的日志
ftp://cdiot@192.168.87.46/Pre_figure/Test_Log/Bug%20_117914/tlog_sts40x190111_000447_0512171924.tar.gz


-------------------------

小窗启动，打开热门视频，视频没有播放

05-07 07:53:01.871  1084 21175 I ActivityTaskManager: START u0 {dat=snssdk143://detail/video?ug_intercept_times=0

cmp=com.ss.android.article.news/com.ss.android.detail.feature.detail2.view.NewVideoDetailActivity (has extras)} from uid 10101

05-07 07:53:01.905  1084  3169 I ActivityTaskManager: The Process com.ss.android.article.news Already Exists in BG. So sending its PID: 26833

05-07 07:53:02.045 26833 26833 E TT_WEBVIEW: 暂不支持重载: com.bytedance.webview.chromium.glue.TextSelectedEventListener::wait

05-07 07:53:02.045 26833 26833 E TT_WEBVIEW: 暂不支持重载: com.bytedance.webview.chromium.glue.TextSelectedEventListener::wait

05-07 07:53:02.046 26833 26833 E TT_WEBVIEW: 暂不支持重载: com.bytedance.webview.chromium.glue.TextSelectedEventListener::wait

05-07 07:53:02.046 26833 26833 E TT_WEBVIEW: 暂不支持重载: com.bytedance.webview.chromium.glue.TextSelectedEventListener::wait

全屏启动,视频正常播放

05-07 07:47:39.131  1084 18200 I ActivityTaskManager: START u0 {dat=snssdk143://detail/video?ug_intercept_times=0

cmp=com.ss.android.article.news/com.ss.android.detail.feature.detail2.view.NewVideoDetailActivity (has extras)} from uid 10101

05-07 07:47:39.166  1084 18194 I ActivityTaskManager: The Process com.ss.android.article.news Already Exists in BG. So sending its PID: 24905

-------------------------

区别在于

小窗时，头条报了下列错误

05-07 07:53:02.045 26833 26833 E TT_WEBVIEW: 暂不支持重载: com.bytedance.webview.chromium.glue.TextSelectedEventListener::wait

05-07 07:53:02.045 26833 26833 E TT_WEBVIEW: 暂不支持重载: com.bytedance.webview.chromium.glue.TextSelectedEventListener::wait

05-07 07:53:02.046 26833 26833 E TT_WEBVIEW: 暂不支持重载: com.bytedance.webview.chromium.glue.TextSelectedEventListener::wait

05-07 07:53:02.046 26833 26833 E TT_WEBVIEW: 暂不支持重载: com.bytedance.webview.chromium.glue.TextSelectedEventListener::wait

这个错误是应用内部的错误，头条在此情况下发生出现了异常

无法在系统侧处理，需要三方应用做适配

请帮助同步此信息给客户，谢谢

#4 - 2023-05-17 14:45 - CDTS_TEST 王成

- Status changed from NEED_INFO to RESOLVED

第三方APK问题，系统侧无修改项

#5 - 2023-05-17 14:45 - CDTS_TEST 王成

- Status changed from RESOLVED to VERIFIED

#6 - 2023-05-17 14:46 - CDTS_TEST 王成

- Status changed from VERIFIED to CLOSED

Files

今日头条无法播放热门视频.mp4 6.48 MB 2023-05-13 CDTS_TEST 王成
